# Source code for azure.mgmt.logic.models.workflow_parameter

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class WorkflowParameter(Model):
        """WorkflowParameter.

        :param type: The type. Possible values include: 'NotSpecified', 'String',
         'SecureString', 'Int', 'Float', 'Bool', 'Array', 'Object', 'SecureObject'
        :type type: str or :class:`ParameterType
         <azure.mgmt.logic.models.ParameterType>`
        :param value: The value.
        :type value: object
        :param metadata: The metadata.
        :type metadata: object
        :param description: The description.
        :type description: str
        """

        _attribute_map = {
            'type': {'key': 'type', 'type': 'ParameterType'},
            'value': {'key': 'value', 'type': 'object'},
            'metadata': {'key': 'metadata', 'type': 'object'},
            'description': {'key': 'description', 'type': 'str'},
        }

        def __init__(self, type=None, value=None, metadata=None, description=None):
            self.type = type
            self.value = value
            self.metadata = metadata
            self.description = description